Package Details: warsaw-bin 2.20.0.13-1

Git Clone URL: https://aur.archlinux.org/warsaw-bin.git (read-only, click to copy)
Package Base: warsaw-bin
Description: Banking security tool developed by GAS Tecnologia
Upstream URL: https://diagnostico.gasantifraud.com
Keywords: Ailos Amazônia Banco Banese Banestes Bonsucesso Brasil Brasília Caixa CEF Credicoamo Cresol DPU Itaú Mercantil Nordeste Roadcard Safra
Licenses: custom
Conflicts: warsaw
Provides: warsaw
Submitter: tioguda
Maintainer: tioguda
Last Packager: tioguda
Votes: 26
Popularity: 0.71
First Submitted: 2018-07-09 01:11
Last Updated: 2021-06-14 20:06

Pinned Comments

tioguda commented on 2021-05-19 13:53

Se eu colocar o gtk2 como dependência obrigatória tem usuário que vai reclamar, se eu deixo ela como opcional os usuários não instalam para a primeira configuração.

Sinceramente eu já não sei o que fazer com essa dependência.

Saudações.

tioguda commented on 2020-07-27 15:20

Após instalar o pacote, é necessário iniciar o serviço do warsaw com o comando sudo systemctl start warsaw.service, e para que ele fique ativo sempre que iniciar o sistema, é necessário adicionar o serviço na inicialização do sistema com o comando sudo systemctl enable warsaw.service.

Feito o procedimento acima, o usuário deve entrar no site da diebold para concluir o processo necessário para o warsaw funcionar corretamente.

Ps: após uma atualização, devido as alterações, pode ser necessário reiniciar o sistema e refazer a configuração no site da diebold.

Saudações.

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 11 12 Next › Last »

tioguda commented on 2019-07-30 02:04

Com as informações passadas pelo @firesinis, acredito que seria melhor adicionar o pacote gtk2 como dependência opcional, já que ele só é necessário na configuração do primeiro acesso ao banco.

Vou aguardar a opinião de vocês para fazer a adição.

Saudações.

firesinis commented on 2019-07-27 16:13

@leonardof testando mais aqui, parece que o gtk2 só é necessário para a configuração inicial de cada banco; depois que um banco tiver suas configurações efetuadas, o acesso a ele continua funcionando mesmo depois de remover o gtk2. No entanto, sem o gtk2 não é possível configurar o acesso a novos bancos.

Para testar, remova o gtk2, reinicie o warsaw e tente configurar algum banco que você nunca tenha acessado antes, usando o site https://www.dieboldnixdorf.com.br/warsaw; após um tempo receberá a mensagem "Configurações da instituição não realizadas." Reinstalando o gtk2 e reiniciando o warsaw, o mesmo procedimento de configuração resultará na mensagem "Configurações realizadas com sucesso."

Reiterando, a falha na configuração de acesso só ocorrerá para um banco que você nunca tenha configurado antes; se for um banco que você já usou, receberá a mensagem "Parabéns! Você está devidamente protegido." mesmo que o gtk2 não esteja instalado.

leonardof commented on 2019-07-25 01:07

@tioguda, muito obrigado, agora o warsaw parece só estar funcionando conforme esperado pelo gerenciamento via systemd!

@firesinis, obrigado também, só assim para os navegadores reconhecerem o "módulo de segurança" no Banco do Brasil!

firesinis commented on 2019-07-19 23:42

Havia uma máquina específica onde este pacote não estava habilitando o acesso ao banco; acabei descobrindo que depois de instalar extra/gtk2 o acesso passa a funcionar.

Reciprocamente, removendo extra/gtk2 de uma outra máquina onde o acesso estava funcionando, o acesso parou de funcionar.

Concluo que o Warsaw precisa de extra/gtk2 para funcionar corretamente.

leonardof commented on 2019-07-19 18:06

Obrigado pela atenção @tioguda! Estou de mudança, aviso assim que conseguir testar!

tioguda commented on 2019-07-19 09:21

@leonardof, com o último ajuste o problema que você estava tendo, foi resolvido?

Saudações.

tioguda commented on 2019-06-13 23:43

@idabmat, só peço que verifiquem as informações quando o pacote for adotado/alterado por outra pessoa, fiz um backup de tudo que é necessário para a construção desse pacote, caso ele seja excluído, no momento é tudo o que eu posso fazer.

Saudações.

idabmat commented on 2019-06-13 22:23

Primeiro obrigado @tioguda pelo pacote!

Já a algumas semanas, toda vez que atualizo meu sistema arch recebo mensagem de aviso que python2-mini-amf não tem mais mantenedor. mini-amf por sua vez não parece ter tido nenhuma nova release desde 2017 ... Há algo que possa ser feito ?

leonardof commented on 2019-05-27 16:14

Pois é, @tioguda... E essa era uma instalação nova, uma máquina virtual que fiz só para o warsaw-bin. Ponho-me à disposição para fazer algum teste que possa esclarecer a situação.

tioguda commented on 2019-05-25 05:57

@leonardof, não sei o que está acontecendo com o pacote em seu sistema, mas testei aqui, e a mensagem não é mostrada após o boot ao utilizar o comando: # systemctl disable warsaw.service.

Saudações.